Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.util
Class ByteArrayBuffer

    java.lang.Object
      org.apache.james.mime4j.util.ByteArrayBuffer

    public final class ByteArrayBuffer

extends java.lang.Object

A resizable byte array.

Constructor Summary
`ByteArrayBuffer(int capacity)`

Method Summary
`void` | `append(byte[] b, int off, int len)`
`void` | `append(char[] b, int off, int len)`
`void` | `append(int b)`
`byte[]` | `buffer()`
`int` | `byteAt(int i)`
`int` | `capacity()`
`void` | `clear()`
`boolean` | `isEmpty()`
`boolean` | `isFull()`
`int` | `length()`
`void` | `setLength(int len)`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArrayBuffer

    public ByteArrayBuffer(int capacity)

Method Detail

### append

    public void append(byte[] b,
                       int off,
                       int len)

### append

    public void append(int b)

### append

    public void append(char[] b,
                       int off,
                       int len)

### clear

    public void clear()

### toByteArray

    public byte[] toByteArray()

### byteAt

    public int byteAt(int i)

### capacity

    public int capacity()

### length

    public int length()

### buffer

    public byte[] buffer()

### setLength

    public void setLength(int len)

### isEmpty

    public boolean isEmpty()

### isFull

    public boolean isFull()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.